#include "xlistboxdef.h"

XListBoxDef::XListBoxDef()
    : XAsset()
    , mStartPos()
    , mEndPos()
    , mDrawPadding(0)
    , mElementWidth(0)
    , mElementHeight(0)
    , mElementStyle(0)
    , mNumColumns(0)
    , mColumnInfo()
    , mDoubleClick("")
    , mNotselectable(false)
    , mNoScrollBars(false)
    , mUsePaging(false)
    , mSelectBorder()
    , mDisableColor()
    , mSelectIcon(new XMaterial())
{
    
}

XListBoxDef::~XListBoxDef()
{
    
}

void XListBoxDef::ParseData(QDataStream *aStream)
{
    
}

void XListBoxDef::Clear()
{
    mStartPos = QVector<int>(4);
    mEndPos = QVector<int>(4);
    mDrawPadding = 0;
    mElementWidth = 0;
    mElementHeight = 0;
    mElementStyle = 0;
    mNumColumns = 0;
    mColumnInfo = QVector<XColumnInfo>(16);
    mDoubleClick = "";
    mNotselectable = false;
    mNoScrollBars = false;
    mUsePaging = false;
    mSelectBorder = QVector<float>(4);
    mDisableColor = QVector<float>(4);
    delete mSelectIcon;
}
